﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Data;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_WPF_AR_120
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataTable table2;
        DataViewManager dvm;
        public MainWindow()
        {
            InitializeComponent();

            DataSet ds = new DataSet("ABSet");

        
            DataTable table1 = CreateDataTableA();
            ds.Tables.Add(table1);

            table2 = CreateDataTableB();
            ds.Tables.Add(table2);

         
            dvm = new DataViewManager(ds);

            clubsGrid.ItemsSource = dvm.CreateDataView(table1);

        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
          
        }

     

        // Create DataTable A
        private DataTable CreateDataTableA()
        {
            DataTable aTable = new DataTable("A");
            DataColumn dtCol;
            DataRow dtRow;
            // Create ID column and add to the DataTable.
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.Int32");
            dtCol.ColumnName = "ID";
            dtCol.AutoIncrement = true;
            dtCol.Caption = "ID";
            dtCol.ReadOnly = true;
            dtCol.Unique = true;
            // Add the column to the DataColumnCollection.
            aTable.Columns.Add(dtCol);
            // Create Name column and add to the table
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.String");
            dtCol.ColumnName = "FName";
            dtCol.AutoIncrement = false;
            dtCol.Caption = "First Name";
            dtCol.ReadOnly = false;
            dtCol.Unique = false;
            aTable.Columns.Add(dtCol);
            // Create Last Name column and add to the table.
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.String");
            dtCol.ColumnName = "LName";
            dtCol.AutoIncrement = false;
            dtCol.Caption = "Last Name";
            dtCol.ReadOnly = false;
            dtCol.Unique = false;
            aTable.Columns.Add(dtCol);
            // Create three rows to the table
            dtRow = aTable.NewRow();
            dtRow["ID"] = 1001;
            dtRow["FName"] = "Mahesh";
            dtRow["LName"] = "Chand";
            aTable.Rows.Add(dtRow);
            dtRow = aTable.NewRow();
            dtRow["ID"] = 1002;
            dtRow["FName"] = "Melanie";
            dtRow["LName"] = "Talmadge";
            aTable.Rows.Add(dtRow);
            dtRow = aTable.NewRow();
            dtRow["ID"] = 1003;
            dtRow["FName"] = "Vinay";
            dtRow["LName"] = "Bansal";
            aTable.Rows.Add(dtRow);
            return aTable;
        }
        // Create DataTable B
        private DataTable CreateDataTableB()
        {
            DataTable bTable = new DataTable("B");
            DataColumn dtCol;
            DataRow dtRow;
            // Create ID column and add to the DataTable.
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.Int32");
            dtCol.ColumnName = "CustomerID";
            dtCol.AutoIncrement = true;
            dtCol.Caption = "CustomerID";
            dtCol.ReadOnly = true;
            dtCol.Unique = true;
            // Add the column to the DataColumnCollection.
            bTable.Columns.Add(dtCol);
            // Create Name column and add to the table
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.String");
            dtCol.ColumnName = "Name";
            dtCol.AutoIncrement = false;
            dtCol.Caption = "Name";
            dtCol.ReadOnly = false;
            dtCol.Unique = false;
            bTable.Columns.Add(dtCol);
            // Create Last Name column and add to the table.
            dtCol = new DataColumn();
            dtCol.DataType = System.Type.GetType("System.String");
            dtCol.ColumnName = "Address";
            dtCol.AutoIncrement = false;
            dtCol.Caption = "Address";
            dtCol.ReadOnly = false;
            dtCol.Unique = false;
            bTable.Columns.Add(dtCol);
            // Create three rows to the table
            dtRow = bTable.NewRow();
            dtRow["CustomerID"] = 11;
            dtRow["Name"] = "Mr. Peter Ferrera";
            dtRow["Address"] = "9th Street, Bank Road, NOIDA";
            bTable.Rows.Add(dtRow);
            dtRow = bTable.NewRow();
            dtRow["CustomerID"] = 21;
            dtRow["Name"] = "Ross Tomo";
            dtRow["Address"] = "North Street, Parkway Road, SunCity";
            bTable.Rows.Add(dtRow);
            dtRow = bTable.NewRow();
            dtRow["CustomerID"] = 31;
            dtRow["Name"] = "Dr. Jog Rocky";
            dtRow["Address"] = "Turnpike Avenue, Philly";
            bTable.Rows.Add(dtRow);
            return bTable;
        }

        private void clubsGrid_LoadingRowDetails(object sender, Telerik.Windows.Controls.GridView.GridViewRowDetailsEventArgs e)
        {
            var detailsGrid = e.DetailsElement as GridViewDataControl;
            detailsGrid.ItemsSource =  dvm.CreateDataView(table2);
           
        }

       
    }
}
